/**
 * 使用定点表示法来格式化一个数
 * @param  {String|Number}  number     [必选，数字或者表示数字的字符串,范围为[0,20],超过范围则报错]
 * @param  {Number}  digits  [必选，小数点后数字的个数]
 * @param  {Boolean} isRound [可选，格式化时是否四舍五入，默认为false，即进行四舍五入,为false时直接截取，不满足位数的往后补0]
 * @return {String}          [结果]
 */
export declare function toFixed(number: string, digits: number, isRound?: boolean): string;
/**
 * 将已有的数字进行前面补零的方法
 * @param {String|Number} number [需要在前面补零的数字]
 * @param {Number} lenght [补零后的数字长度]
 * 如：supplementZero(1, 4) return '0001'
 */
export declare function supplementZero(number: string, length?: number): string;
/**
 *
 * 序列化字符串为数字，只取字符串中的数字、小数点、正负号
 * @param {String} strNumber 字符串
 */
export declare function serialization(strNumber: string): string;
export declare function getMaxNumberByPrecision(integerPrecision: number, decimalPrecision: number): number;
/**
 * 判断是否为正则表达式
 * @param {string|number} number 待判断的值
 */
export declare function isExp(number: string | number): boolean;
/**
 * 将科学计数法显示的数字格式化为正常浮点数
 * 1e-6 => 0.000006
 * @param {Number} number 待格式化的科学计数法
 * @returns num 格式化后的数值，如果不满足科学计数法的话，则原值返回
 */
export declare function exponentToFloat(number: string | number): string;
